/* ui for joystick tool  */
/* created 28 October 96 */
/* added mix gadgets 7 Nov 96 */
/* added menu items  8 Nov 96 */
/* mucked in more gadgets 9 Nov 96 */

/* Boolean GadgetIDs */
#define DOIT     1
#define MAX      2
#define MID      3
#define MIN      4
#define PLAYBACK 5
#define DEFERY   6
#define MINY     7
#define MIDY     8
#define MAXY     9
#define SENDY   10
#define DEFERX  11
#define MINX    12
#define MIDX    13
#define MAXX    14
#define SENDX   15
#define LAST_BOOL_GADGET SENDX
/* pots */
#define JOY   20
#define YTYPE 21
#define YCC   22
#define YHI   23
#define YLO   24
#define YRES  25
#define XTYPE 26
#define XCC   27
#define XHI   28
#define XLO   29
#define XRES  30

/* coordinates for boxes around gadget groups */
#define X_X1   8
#define X_Y1 122
#define X_X2 240
#define X_Y2 183

#define Y_X1   8
#define Y_Y1 190
#define Y_X2 240
#define Y_Y2 251

static struct PropInfo Gadget823SInfo = {
	AUTOKNOB+FREEHORIZ,
	-1,-1,
	6553,-1,
};

static struct Image Image81 = {
	105,0,
	12,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText81 = {
	2,0,JAM1,
	-35,0,
	NULL,
	"Res:",
	NULL
};

static struct Gadget Gadget823 = {
	NULL,
	62,241,
	125,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image81,
	NULL,
	&IText81,
	NULL,
	(APTR)&Gadget823SInfo,
	YRES,
	NULL
};

static struct PropInfo Gadget18SInfo = {
	AUTOKNOB+FREEHORIZ,
/*	0,-1,
	5461,-1,
*/
	-1,0,
	4800,-1,
};

static struct Image Image1 = {
	0,0,
	10,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText1 = {
	2,0,JAM1,
	-35,0,
	NULL,
	"Low:",
	NULL
};

static struct Gadget Gadget18 = {
	&Gadget823,
	62,230,
	125,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image1,
	NULL,
	&IText1,
	NULL,
	(APTR)&Gadget18SInfo,
	YLO,
	NULL
};

static struct PropInfo Gadget17SInfo = {
	AUTOKNOB+FREEHORIZ,
/*
	-1,-1,
	5461,-1,
*/
	-1,0,
	4800,-1,
};

static struct Image Image2 = {
	107,0,
	10,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText2 = {
	2,0,JAM1,
	-43,0,
	NULL,
	"High:",
	NULL
};

static struct Gadget Gadget17 = {
	&Gadget18,
	62,219,
	125,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image2,
	NULL,
	&IText2,
	NULL,
	(APTR)&Gadget17SInfo,
	YHI,
	NULL
};

static struct PropInfo Gadget16SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	5041,-1,
};

static struct Image Image3 = {
	0,0,
	9,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText3 = {
	2,0,JAM1,
	-35,0,
	NULL,
	"CC#:",
	NULL
};

static struct Gadget Gadget16 = {
	&Gadget17,
	62,208,
	107,7, //125,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image3,
	NULL,
	&IText3,
	NULL,
	(APTR)&Gadget16SInfo,
	YCC,
	NULL
};

static struct PropInfo Gadget15SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	16383,-1,
};

static struct Image Image4 = {
	0,0,
	24,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText4 = {
	2,0,JAM1,
	-51,0,
	NULL,
	"Event:",
	NULL
};

static struct Gadget Gadget15 = {
	&Gadget16,
	62,197,
	107,7, //101,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image4,
	NULL,
	&IText4,
	NULL,
	(APTR)&Gadget15SInfo,
	YTYPE,
	NULL
};

static struct PropInfo Gadget818SInfo = {
	AUTOKNOB+FREEHORIZ,
	-1,0,
	6553,-1,
};

static struct Image Image86 = {
	104,0,
	12,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText86 = {
	2,0,JAM1,
	-35,0,
	NULL,
	"Res:",
	NULL
};

static struct Gadget Gadget818 = {
	&Gadget15,
	62,173,
	125,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image86,
	NULL,
	&IText86,
	NULL,
	(APTR)&Gadget818SInfo,
	XRES,
	NULL
};

static struct PropInfo Gadget14SInfo = {
	AUTOKNOB+FREEHORIZ,
	-1,0,
	4800,-1,
};

static struct Image Image5 = {
	0,0,
	10,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText5 = {
	2,0,JAM1,
	-35,0,
	NULL,
	"Low:",
	NULL
};

static struct Gadget Gadget14 = {
	&Gadget818,
	62,162,
	125,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image5,
	NULL,
	&IText5,
	NULL,
	(APTR)&Gadget14SInfo,
	XLO,
	NULL
};

static struct PropInfo Gadget13SInfo = {
	AUTOKNOB+FREEHORIZ,
/*
	-1,-1,
	5461,-1,
*/
	-1,0,
	4800,-1,
};

static struct Image Image6 = {
	107,0,
	10,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText6 = {
	2,0,JAM1,
	-43,0,
	NULL,
	"High:",
	NULL
};

static struct Gadget Gadget13 = {
	&Gadget14,
	62,151,
	125,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image6,
	NULL,
	&IText6,
	NULL,
	(APTR)&Gadget13SInfo,
	XHI,
	NULL
};

static struct PropInfo Gadget12SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	5041,-1,
};

static struct Image Image7 = {
	0,0,
	9,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText7 = {
	2,0,JAM1,
	-35,0,
	NULL,
	"CC#:",
	NULL
};

static struct Gadget Gadget12 = {
	&Gadget13,
	62,140,
	107,7, //125,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image7,
	NULL,
	&IText7,
	NULL,
	(APTR)&Gadget12SInfo,
	XCC,
	NULL
};

static struct PropInfo Gadget11SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	16383,-1,
};

static struct Image Image8 = {
	0,0,
	24,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText8 = {
	2,0,JAM1,
	-51,0,
	NULL,
	"Event:",
	NULL
};

static struct Gadget Gadget11 = {
	&Gadget12,
	62,129,
	107,7, //101,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image8,
	NULL,
	&IText8,
	NULL,
	(APTR)&Gadget11SInfo,
	XTYPE,
	NULL
};

static struct PropInfo Gadget9SInfo = {
	AUTOKNOB+FREEHORIZ+FREEVERT,
	0,0xFFFF,
	5460,5460, //4369,4369, //6552,6552, //3276,3276,
};

static struct Image Image10 = {
	0,75,
	6,4,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct Gadget Gadget9 = {
	&Gadget11,
	62,16,
	125,83,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image10,
	NULL,
	NULL,
	NULL,
	(APTR)&Gadget9SInfo,
	JOY,
	NULL
};

static struct IntuiText IText611 = {
	4,0,JAM1,
	2,1,
	NULL,
	"SendX",
	NULL
};

static struct Gadget Gadget614 = {
	&Gadget9,
	194,103,
	44,9,
	GADGHBOX+GADGHIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	&IText611,
	NULL,
	NULL,
	SENDX,
	NULL
};

static struct IntuiText IText10 = {
	4,0,JAM1,
	2,1,
	NULL,
	"MaxX",
	NULL
};

static struct Gadget Gadget8 = {
	&Gadget614,
	149,103,
	38,9,
	GADGHBOX+GADGHIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	&IText10,
	NULL,
	NULL,
	MAXX,
	NULL
};

static struct IntuiText IText11 = {
	4,0,JAM1,
	2,1,
	NULL,
	"MidX",
	NULL
};

static struct Gadget Gadget7 = {
	&Gadget8,
	105,103,
	39,9,
	GADGHBOX+GADGHIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	&IText11,
	NULL,
	NULL,
	MIDX,
	NULL
};

static struct IntuiText IText12 = {
	4,0,JAM1,
	2,1,
	NULL,
	"MinX",
	NULL
};

static struct Gadget Gadget6 = {
	&Gadget7,
	62,103,
	38,9,
	GADGHBOX+GADGHIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	&IText12,
	NULL,
	NULL,
	MINX,
	NULL
};

static struct IntuiText IText13 = {
	4,0,JAM1,
	2,1,
	NULL,
	"Defer",
	NULL
};

static struct Gadget Gadget5 = {
	&Gadget6,
	10,103,
	44,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText13,
	NULL,
	NULL,
	DEFERX,
	NULL
};

static struct IntuiText IText616 = {
	4,0,JAM1,
	2,1,
	NULL,
	"SendY",
	NULL
};

static struct Gadget Gadget69 = {
	&Gadget5,
	10,66,
	44,9,
	GADGHBOX+GADGHIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	&IText616,
	NULL,
	NULL,
	SENDY,
	NULL
};

static struct IntuiText IText14 = {
	4,0,JAM1,
	6,1,
	NULL,
	"MinY",
	NULL
};

static struct Gadget Gadget4 = {
	&Gadget69,
	10,53,
	44,9,
	GADGHBOX+GADGHIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	&IText14,
	NULL,
	NULL,
	MINY,
	NULL
};

static struct IntuiText IText15 = {
	4,0,JAM1,
	6,1,
	NULL,
	"MidY",
	NULL
};

static struct Gadget Gadget3 = {
	&Gadget4,
	10,41,
	44,9,
	GADGHBOX+GADGHIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	&IText15,
	NULL,
	NULL,
	MIDY,
	NULL
};

static struct IntuiText IText16 = {
	4,0,JAM1,
	6,1,
	NULL,
	"MaxY",
	NULL
};

static struct Gadget Gadget2 = {
	&Gadget3,
	10,29,
	44,9,
	GADGHBOX+GADGHIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	&IText16,
	NULL,
	NULL,
	MAXY,
	NULL
};

static struct IntuiText IText17 = {
	4,0,JAM1,
	2,1,
	NULL,
	"Defer",
	NULL
};

static struct Gadget Gadget1 = {
	&Gadget2,
	10,16,
	44,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText17,
	NULL,
	NULL,
	DEFERY,
	NULL
};

static struct IntuiText IText8821 = {
	4,0,JAM1,
	6,1,
	NULL,
	"Play",
	NULL
};

static struct Gadget Gadget885 = {
	&Gadget1,
	194,66,
	44,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText8821,
	NULL,
	NULL,
	PLAYBACK,
	NULL
};
static struct IntuiText IText918 = {
	4,0,JAM1,
	10,1,
	NULL,
	"Min",
	NULL
};

static struct Gadget Gadget93 = {
	&Gadget885,
	194,53,
	44,9,
	GADGHBOX+GADGHIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	&IText918,
	NULL,
	NULL,
	MIN,
	NULL
};

static struct IntuiText IText919 = {
	4,0,JAM1,
	10,1,
	NULL,
	"Mid",
	NULL
};

static struct Gadget Gadget92 = {
	&Gadget93,
	194,41,
	44,9,
	GADGHBOX+GADGHIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	&IText919,
	NULL,
	NULL,
	MID,
	NULL
};

static struct IntuiText IText920 = {
	4,0,JAM1,
	10,1,
	NULL,
	"Max",
	NULL
};

static struct Gadget Gadget91 = {
	&Gadget92,
	194,29,
	44,9,
	GADGHBOX+GADGHIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	&IText920,
	NULL,
	NULL,
	MAX,
	NULL
};

static struct IntuiText IText822 = {
	4,0,JAM1,
	6,1,
	NULL,
	"Send",
	NULL
};

static struct Gadget Gadget81 = {
	&Gadget91,
	194,16,
	44,9,
	GADGHBOX+GADGHIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	&IText822,
	NULL,
	NULL,
	DOIT,
	NULL
};

#define GadgetList1 Gadget81

static struct IntuiText IText26 = {
	3,0,JAM1,
	0,0,
	NULL,
	"Snapshot",
	NULL
};

static struct MenuItem MenuItem5 = {
	NULL,
	0,32,
	179,8,
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText26,
	NULL,
	'S',
	NULL,
	MENUNULL
};

static struct IntuiText IText27 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Auto Replace",
	NULL
};

static struct MenuItem MenuItem4 = {
	&MenuItem5,
	0,24,
	179,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText27,
	NULL,
	'A',
	NULL,
	MENUNULL
};

static struct IntuiText IText28 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Playback CCs",
	NULL
};

static struct MenuItem MenuItem3 = {
	&MenuItem4,
	0,16,
	179,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText28,
	NULL,
	'P',
	NULL,
	MENUNULL
};

static struct IntuiText IText29 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Use SysEx",
	NULL
};

static struct MenuItem MenuItem2 = {
	&MenuItem3,
	0,8,
	179,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText29,
	NULL,
	'X',
	NULL,
	MENUNULL
};

static struct IntuiText IText30 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Show CC Numbers",
	NULL
};

static struct MenuItem MenuItem1 = {
	&MenuItem2,
	0,0,
	179,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText30,
	NULL,
	'N',
	NULL,
	MENUNULL
};

static struct Menu Menu1 = {
	NULL,
	0,0,
	108,12,
	MENUENABLED,
	"Oh, Joy v1.0   1996 Michael Rees",
	&MenuItem1
};

#define MenuList1 Menu1

static struct IntuiText IText22 = {
	1,0,JAM2,
	14,186,
	NULL,
	"Y Axis",
	NULL
};

static struct IntuiText IText21 = {
	1,0,JAM2,
	14,118,
	NULL,
	"X Axis",
	&IText22
};

#define IntuiTextList1 IText21

static struct NewWindow NewWindowStructure1 = {
	238,13,
	249,117,
	0,1,
	GADGETDOWN+GADGETUP+CLOSEWINDOW+MENUPICK+NEWSIZE,
	WINDOWDRAG+WINDOWDEPTH+WINDOWCLOSE+ACTIVATE+NOCAREREFRESH,
	&GadgetList1,
	NULL,
	NULL,
	NULL,
	NULL,
	249,117,
	249,255,
	CUSTOMSCREEN
};

#define WTITLE "StickIt"
#define GCOUNT LAST_BOOL_GADGET